package com.yizhi.site.application.mapper;

import com.baomidou.mybatisplus.mapper.BaseMapper;
import com.yizhi.site.application.domain.SystemMailbox;
import com.yizhi.site.application.vo.domain.SystemMailboxParamVo;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * com.yizhi.site.application.mapper
 *
 * @author yanglang
 * @create 2025-01-09 13:55:24
 */
public interface SystemMailboxMapper extends BaseMapper<SystemMailbox> {

  List<SystemMailboxParamVo> selectMyPage(@Param("accountId") Long accountId, @Param("pageNo") Integer pageNo,@Param("pageSize") Integer pageSize);

  int selectMyCount(@Param("accountId") Long accountId);

}
